Package org.eclipse.microprofile.openapi.tck.utils

# Class TCKMatchers.NumericEqualityMatcher

java.lang.Object
org.hamcrest.BaseMatcher<T>
org.hamcrest.TypeSafeDiagnosingMatcher<Number>
org.eclipse.microprofile.openapi.tck.utils.TCKMatchers.NumericEqualityMatcher

All Implemented Interfaces:
  `org.hamcrest.Matcher<Number>`, `org.hamcrest.SelfDescribing`

Enclosing class:
  TCKMatchers

public static class TCKMatchers.NumericEqualityMatcher extends org.hamcrest.TypeSafeDiagnosingMatcher<Number>

## Constructor Summary

Constructors
Constructor
Description
`NumericEqualityMatcher(Number expected)`

## Method Summary

Modifier and Type
Method
Description
`void`
`describeTo(org.hamcrest.Description desc)`
`protected boolean`
`matchesSafely(Number item, org.hamcrest.Description mismatchDescription)`

### Methods inherited from class org.hamcrest.TypeSafeDiagnosingMatcher

`describeMismatch, matches`

### Methods inherited from class org.hamcrest.BaseMatcher

`_dont_implement_Matcher___instead_extend_BaseMatcher_, isNotNull, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NumericEqualityMatcher

public NumericEqualityMatcher(Number expected)

## Method Details

### describeTo

public void describeTo(org.hamcrest.Description desc)

### matchesSafely

protected boolean matchesSafely(Number item, org.hamcrest.Description mismatchDescription)

Specified by:
  `matchesSafely` in class `org.hamcrest.TypeSafeDiagnosingMatcher<Number>`